VOXYL_BASE = "https://api.voxyl.net"
VOXYL_URLS = {
    "minecraft": "https://api.ashcon.app/mojang/v2/user/",
    "player_info": VOXYL_BASE + "/player/info/",
    "player_overall": VOXYL_BASE + "/player/stats/overall/",
    "player_game": VOXYL_BASE + "/player/stats/game/",
    "player_guild": VOXYL_BASE + "/player/guild/",
    "player_achievements": VOXYL_BASE + "/achievements/player/",
    "guild_info": VOXYL_BASE + "/guild/info/",
    "guild_members": VOXYL_BASE + "/guild/members/",
    "leaderboard_guild": VOXYL_BASE + "/guild/top/",
    "leaderboard_level": VOXYL_BASE + "/leaderboard/normal/",
    "leaderboard_weightedwins": VOXYL_BASE + "/leaderboard/normal/",
    "leaderboard_technique": VOXYL_BASE + "/leaderboard/technique/",
    "leaderboard_game": VOXYL_BASE + "/leaderboard/game/",
    "announcements": VOXYL_BASE + "/announcement/all/",
    "achievements": VOXYL_BASE + "/achievements/info/",
}

VOXYL_TECHNIQUES = [
    "wallclutch",
    "highclutch",
    "sideclutch",
    "knockbackclutch",
    "jumparound",
    "safetower",
    "speedclutch",
    "ladderclutch",
    "hitclutch",
    "brokenwallrun",
    "bridgestart",
    "knockbackwallclutch",
]

VOXYL_GAMES = {
    "bridgesSingle": {"game_name": "1v1 BBF", "weight": 0.55},
    "bridgesDouble": {"game_name": "2v2 BBF", "weight": 0.69},
    "compBridgeSingle": {"game_name": "Comp BBF", "weight": 1.24},
    "sumo": {"game_name": "Block Sumo", "weight": 3.93},
    "betaSumo": {"game_name": "Beta Block Sumo", "weight": 5.0},
    "sumoDuelsSolo": {"game_name": "1v1 Block Sumo Duels", "weight": 0.92},
    "sumoDuelsDouble": {"game_name": "2v2 Block Sumo Duels", "weight": 1.26},
    "obstacleSingle": {"game_name": "Obstacles", "weight": 1.2},
    "resourceSingle": {"game_name": "1v1 Resource Collect", "weight": 1.2},
    "resourceDouble": {"game_name": "2v2 Resource Collect", "weight": 2.17},
    "resourceOldSingle": {"game_name": "1v1 Old Resource Collect", "weight": 1.2},
    "resourceOldDouble": {"game_name": "2v2 Old Resource Collect", "weight": 2.69},
    "groundSingle": {"game_name": "1v1 Ground Fight", "weight": 0.46},
    "groundDouble": {"game_name": "2v2 Ground Fight", "weight": 0.38},
    "voidSingle": {"game_name": "1v1 Void Fight", "weight": 0.73},
    "voidDouble": {"game_name": "2v2 Void Fight", "weight": 0.98},
    "bedwarsNormalSingle": {"game_name": "1v1 Bedwars Normal", "weight": 1.0},
    "bedwarsNormalDouble": {"game_name": "2v2 Bedwars Normal", "weight": 1.19},
    "bedwarsMegaSolo": {"game_name": "Bedwars Mega Solo", "weight": 4.77},
    "bedwarsMegaDouble": {"game_name": "Bedwars Mega Doubles", "weight": 4.84},
    "bedwarsLateSingle": {"game_name": "1v1 Bedwars Late Game", "weight": 1.09},
    "bedwarsLateDouble": {"game_name": "2v2 Bedwars Late Game", "weight": 1.26},
    "bedwarsRushSolo": {"game_name": "1v1 Bedwars Rush Duels", "weight": 1.09},
    "bedwarsRushDouble": {"game_name": "2v2 Bedwars Rush Duels", "weight": 1.26},
    "stickFightSingle": {"game_name": "1v1 Stick Fight", "weight": 0.61},
    "stickFightDouble": {"game_name": "2v2 Stick Fight", "weight": 0.66},
    "flatFightSingle": {"game_name": "1v1 Flat Fight", "weight": 0.68},
    "flatFightDouble": {"game_name": "2v2 Flat Fight", "weight": 0.88},
    "ladderFightSingle": {"game_name": "1v1 Ladder Fight", "weight": 0.67},
    "ladderFightDouble": {"game_name": "2v2 Ladder Fight", "weight": 0.8},
    "partyGames": {"game_name": "Party Games", "weight": 7.92},
    "rankedFoursPractice": {"game_name": "4v4 Ranked Practice", "weight": 1.27},
    "bowFightSingle": {"game_name": "1v1 Bow Fight", "weight": 0.55},
    "bowFightDouble": {"game_name": "2v2 Bow Fight", "weight": 0.62},
    "pearlFightSingle": {"game_name": "1v1 Pearl Fight", "weight": 0.5},
    "pearlFightDouble": {"game_name": "2v2 Pearl Fight", "weight": 0.62},
    "bedRushSingle": {"game_name": "1v1 Bed Rush", "weight": 0.75},
    "bedRushDouble": {"game_name": "2v2 Bed Rush", "weight": 0.9},
    "bedwalls": {"game_name": "Bedwalls", "weight": 20.0},
    "bedwarsEightSolo": {"game_name": "Bedwars Eight Solo", "weight": 1.21},
    "miniwarsSolo": {"game_name": "Miniwars Solo", "weight": 2.79},
    "miniwarsDouble": {"game_name": "Miniwars Double", "weight": 4.22},
    "fourWayBridgeSingle": {"game_name": "Four Way Bridge Fight", "weight": 0.84},
}

VOXYL_GAME_NAMES_LOWER = {
    "bedrushdouble": "bedRushDouble",
    "bedrushsingle": "bedRushSingle",
    "bedwalls": "bedwalls",
    "bedwarslatedouble": "bedwarsLateDouble",
    "bedwarslatesingle": "bedwarsLateSingle",
    "bedwarsmegadouble": "bedwarsMegaDouble",
    "bedwarsmegasolo": "bedwarsMegaSolo",
    "bedwarsnormaldouble": "bedwarsNormalDouble",
    "bedwarsnormalsingle": "bedwarsNormalSingle",
    "bedwarsrushdouble": "bedwarsRushDouble",
    "bedwarsrushsolo": "bedwarsRushSolo",
    "betasumo": "betaSumo",
    "bowfightdouble": "bowFightDouble",
    "bowfightsingle": "bowFightSingle",
    "bridgesdouble": "bridgesDouble",
    "bridgessingle": "bridgesSingle",
    "compbridgesingle": "compBridgeSingle",
    "flatfightdouble": "flatFightDouble",
    "flatfightsingle": "flatFightSingle",
    "fourwaybridgesingle": "fourWayBridgeSingle",
    "grounddouble": "groundDouble",
    "groundsingle": "groundSingle",
    "ladderfightdouble": "ladderFightDouble",
    "ladderfightsingle": "ladderFightSingle",
    "miniwarsdouble": "miniwarsDouble",
    "miniwarssolo": "miniwarsSolo",
    "obstaclesingle": "obstacleSingle",
    "partygames": "partyGames",
    "pearlfightdouble": "pearlFightDouble",
    "pearlfightsingle": "pearlFightSingle",
    "rankedfourspractice": "rankedFoursPractice",
    "resourcedouble": "resourceDouble",
    "resourcesingle": "resourceSingle",
    "resourceolddouble": "resourceOldDouble",
    "resourceoldsingle": "resourceOldSingle",
    "stickfightdouble": "stickFightDouble",
    "stickfightsingle": "stickFightSingle",
    "sumoduelsdouble": "sumoDuelsDouble",
    "sumoduelssolo": "sumoDuelsSolo",
    "sumo": "sumo",
    "voiddouble": "voidDouble",
    "voidsingle": "voidSingle",
}

VOXYL_RANKS = {
    "default": {
        "rgb": [85, 85, 85],
        "hex": "#555555",
    },
    "adept": {
        "rgb": [5, 172, 32],
        "hex": "#05ac20",
    },
    "expert": {
        "rgb": [7, 121, 209],
        "hex": "#0779d1",
    },
    "master": {
        "rgb": [247, 182, 15],
        "hex": "#f7b60f",
    },
    "youtube": {
        "rgb": [230, 3, 3],
        "hex": "#e60303",
    },
    "builder": {
        "rgb": [221, 101, 221],
        "hex": "#dd65dd",
    },
    "appeal": {
        "rgb": [245, 187, 187],
        "hex": "#f5bbbb",
    },
    "dev": {
        "rgb": [85, 255, 85],
        "hex": "#55ff55",
    },
    "helper": {
        "rgb": [90, 209, 90],
        "hex": "#5ad15a",
    },
    "trainee": {
        "rgb": [90, 209, 90],
        "hex": "#5ad15a",
    },
    "mod": {
        "rgb": [250, 241, 107],
        "hex": "#faf16b",
    },
    "srmod": {
        "rgb": [255, 163, 67],
        "hex": "#ffa343",
    },
    "manager": {
        "rgb": [220, 16, 16],
        "hex": "#dc1010",
    },
    "admin": {
        "rgb": [221, 64, 65],
        "hex": "#dd4041",
    },
    "owner": {"rgb": [252, 119, 126], "hex": "#fc777e"},
}

VOXYL_PRESTIGES = {
    "none": {"star": 0, "rgb": [48, 48, 48], "hex": "#303030"},
    "iron": {"star": 100, "rgb": [64, 64, 64], "hex": "#404040"},
    "gold": {"star": 200, "rgb": [62, 46, 4], "hex": "#3e2e04"},
    "diamond": {"star": 300, "rgb": [0, 64, 64], "hex": "#004040"},
    "emerald": {"star": 400, "rgb": [14, 44, 24], "hex": "#0e2c18"},
    "sapphire": {"star": 500, "rgb": [0, 43, 43], "hex": "#002b2b"},
    "ruby": {"star": 600, "rgb": [43, 0, 0], "hex": "#2b0000"},
    "crystal": {"star": 700, "rgb": [64, 21, 64], "hex": "#401540"},
    "opal": {"star": 800, "rgb": [21, 21, 64], "hex": "#151540"},
    "amethyst": {"star": 900, "rgb": [43, 0, 0], "hex": "#2b0000"},
}
